Scraper apiGeneratedBatch
Get batch job status
Poll for the current status and partial results of a batch job
X-Api-Key<token>
In: header
Path Parameters
job_idstring
Format
uuidQuery Parameters
page?integer
Page of results
Default
1Range
1 <= valuepage_size?integer
Results per page (max 50)
Default
10Range
1 <= value <= 50Response Body
application/json
application/json
curl -X GET "https://scraper.geonode.io/v1/batch/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"job_id": "453bd7d7-5355-4d6d-a38e-d9e7eb218c3f",
"status": "queued",
"batch_config": {
"render_js": true,
"formats": [
"markdown"
],
"proxy": {
"country": "string",
"type": "datacenter"
},
"headers": {
"property1": "string",
"property2": "string"
},
"wait_config": {
"wait_until": "commit",
"wait_for": "string",
"wait_timeout": 30000
}
},
"token_summary": {
"tokens_charged_total": 0,
"tokens_reserved": 0
},
"total_urls": 0,
"completed_urls": 0,
"failed_urls": 0,
"cancelled_urls": 0,
"pending_urls": 0,
"invalid_urls": [
"string"
],
"created_at": "2019-08-24T14:15:22Z",
"completed_at": "2019-08-24T14:15:22Z",
"results": [
{
"input_index": 0,
"url": "string",
"status": "string",
"error_code": "string",
"error_message": "string",
"data": {
"html": "string",
"markdown": "string"
},
"metadata": {
"http_status": 0,
"duration_ms": 0,
"tokens_charged": 0
}
}
]
}Empty
Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}